Package org.apache.tapestry5.beanmodel.internal.services

## Class CoercingPropertyConduitWrapper

- java.lang.Object
- - org.apache.tapestry5.beanmodel.internal.services.CoercingPropertyConduitWrapper

- All Implemented Interfaces:
    `PropertyConduit`, `PropertyConduit2`, `AnnotationProvider`

      public class CoercingPropertyConduitWrapper
      extends java.lang.Object
      implements PropertyConduit2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CoercingPropertyConduitWrapper​(PropertyConduit conduit, TypeCoercer coercer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(java.lang.Object instance)` | Reads the property from the instance.
    `<T extends java.lang.annotation.Annotation> T` | `getAnnotation​(java.lang.Class<T> annotationClass)` | Searches for the specified annotation, returning the matching annotation instance.
    `java.lang.reflect.Type` | `getPropertyGenericType()` | Returns the generic type of the property
    `java.lang.Class` | `getPropertyType()` | Returns the type of the property read or updated by the conduit.
    `void` | `set​(java.lang.Object instance, java.lang.Object value)` | Changes the current value of the property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CoercingPropertyConduitWrapper

          public CoercingPropertyConduitWrapper​(PropertyConduit conduit,
                                                TypeCoercer coercer)

  - ### Method Detail

    - #### get

          public java.lang.Object get​(java.lang.Object instance)

      Description copied from interface: `PropertyConduit`
      Reads the property from the instance.
      Specified by:
        `get` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
      Returns:
        the current value of the property

    - #### getAnnotation

          public <T extends java.lang.annotation.Annotation> T getAnnotation​(java.lang.Class<T> annotationClass)

      Description copied from interface: `AnnotationProvider`
      Searches for the specified annotation, returning the matching annotation instance.
      Specified by:
        `getAnnotation` in interface `AnnotationProvider`
      Parameters:
        `annotationClass` - used to select the annotation to return
      Returns:
        the annotation, or null if not found

    - #### getPropertyType

          public java.lang.Class getPropertyType()

      Description copied from interface: `PropertyConduit`
      Returns the type of the property read or updated by the conduit.
      Specified by:
        `getPropertyType` in interface `PropertyConduit`

    - #### getPropertyGenericType

          public java.lang.reflect.Type getPropertyGenericType()

      Description copied from interface: `PropertyConduit2`
      Returns the generic type of the property
      Specified by:
        `getPropertyGenericType` in interface `PropertyConduit2`
      See Also:
        `Method.getGenericReturnType()`, `Field.getGenericType()`

    - #### set

          public void set​(java.lang.Object instance,
                          java.lang.Object value)

      Description copied from interface: `PropertyConduit`
      Changes the current value of the property.
      Specified by:
        `set` in interface `PropertyConduit`
      Parameters:
        `instance` - object containing the property
        `value` - to change the property to